httpd-apreq-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j...@apache.org
Subject svn commit: r380814 - /httpd/apreq/branches/apr-build-system/build/get-version.sh
Date Fri, 24 Feb 2006 20:45:34 GMT
Author: joes
Date: Fri Feb 24 12:45:32 2006
New Revision: 380814

URL: http://svn.apache.org/viewcvs?rev=380814&view=rev
Log:
add get-version script

Added:
    httpd/apreq/branches/apr-build-system/build/get-version.sh   (with props)

Added: httpd/apreq/branches/apr-build-system/build/get-version.sh
URL: http://svn.apache.org/viewcvs/httpd/apreq/branches/apr-build-system/build/get-version.sh?rev=380814&view=auto
==============================================================================
--- httpd/apreq/branches/apr-build-system/build/get-version.sh (added)
+++ httpd/apreq/branches/apr-build-system/build/get-version.sh Fri Feb 24 12:45:32 2006
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# extract version numbers from a header file
+#
+# USAGE: get-version.sh CMD VERSION_HEADER PREFIX
+#   where CMD is one of: all, major, libtool
+#   where PREFIX is the prefix to {MAJOR|MINOR|PATCH}_VERSION defines
+#
+#   get-version.sh all returns a dotted version number
+#   get-version.sh major returns just the major version number
+#   get-version.sh minor returns just the minor version number
+#   get-version.sh patch returns just the match version number
+#
+
+if test $# != 3; then
+  echo "USAGE: $0 CMD INCLUDEDIR PREFIX"
+  echo "  where CMD is one of: all, major, minor, patch"
+  exit 1
+fi
+
+major_sed="/#define.*$3_MAJOR_VERSION/s/^[^0-9]*\([0-9]*\).*$/\1/p"
+minor_sed="/#define.*$3_MINOR_VERSION/s/^[^0-9]*\([0-9]*\).*$/\1/p"
+patch_sed="/#define.*$3_PATCH_VERSION/s/^[^0-9]*\([0-9]*\).*$/\1/p"
+major="`sed -n $major_sed $2`"
+minor="`sed -n $minor_sed $2`"
+patch="`sed -n $patch_sed $2`"
+
+if test "$1" = "all"; then
+  echo ${major}.${minor}.${patch}
+elif test "$1" = "major"; then
+  echo ${major}
+elif test "$1" = "minor"; then
+  echo ${minor}
+elif test "$1" = "patch"; then
+  echo ${patch}
+else
+  echo "ERROR: unknown version CMD ($1)"
+  exit 1
+fi

Propchange: httpd/apreq/branches/apr-build-system/build/get-version.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: httpd/apreq/branches/apr-build-system/build/get-version.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message